# Copyright (c) 2002 Infrae. All rights reserved.
# See also LICENSE.txt
# $Id: StyleNameMapping.py,v 1.3 2003/01/22 11:09:44 zagy Exp $


# map english names to Word's internal IDs.
style_name_map = {
    'HTML Definition': -100,
    'HTML Code': -99,
    'HTML Cite': -98,
    'HTML Address': -97,
    'HTML Acronym': -96,
    'Normal (Web)': -95,
    'z-Bottom of Form': -94,
    'z-Top of Form': -93,
    'E-mail Signature': -92,
    'Plain Text': -91,
    'Document Map': -90,
    'Emphasis': -89,
    'Strong': -88,
    'FollowedHyperlink': -87,
    'Hyperlink': -86,
    'Block Text': -85,
    'Body Text Indent 3': -84,
    'Body Text Indent 2': -83,
    'Body Text 3': -82,
    'Body Text 2': -81,
    'Note Heading': -80,
    'Body Text First Indent 2': -79,
    'Body Text First Indent': -78,
    'Date': -77,
    'Salutation': -76,
    'Subtitle': -75,
    'Message Header': -74,
    'List Continue 5': -73,
    'List Continue 4': -72,
    'List Continue 3': -71,
    'List Continue 2': -70,
    'List Continue': -69,
    'Body Text Indent': -68,
    'Body Text': -67,
    'Default Paragraph Font': -66,
    'Signature': -65,
    'Closing': -64,
    'Title': -63,
    'List Number 5': -62,
    'List Number 4': -61,
    'List Number 3': -60,
    'List Number 2': -59,
    'List Bullet 5': -58,
    'List Bullet 4': -57,
    'List Bullet 3': -56,
    'List Bullet 2': -55,
    'List 5': -54,
    'List 4': -53,
    'List 3': -52,
    'List 2': -51,
    'List Number': -50,
    'List Bullet': -49,
    'List': -48,
    'TOA Heading': -47,
    'Macro Text': -46,
    'Table of Authorities': -45,
    'Endnote Text': -44,
    'Endnote Reference': -43,
    'Page Number': -42,
    'Line Number': -41,
    'Comment Reference': -40,
    'Footnote Reference': -39,
    'Envelope Return': -38,
    'Envelope Address': -37,
    'Table of Figures': -36,
    'Caption': -35,
    'Index Heading': -34,
    'Footer': -33,
    'Header': -32,
    'Comment Text': -31,
    'Footnote Text': -30,
    'Normal Indent': -29,
    'TOC 9': -28,
    'TOC 8': -27,
    'TOC 7': -26,
    'TOC 6': -25,
    'TOC 5': -24,
    'TOC 4': -23,
    'TOC 3': -22,
    'TOC 2': -21,
    'TOC 1': -20,
    'Index 9': -19,
    'Index 8': -18,
    'Index 7': -17,
    'Index 6': -16,
    'Index 5': -15,
    'Index 4': -14,
    'Index 3': -13,
    'Index 2': -12,
    'Index 1': -11,
    'Heading 9': -10,
    'Heading 8': -9,
    'Heading 7': -8,
    'Heading 6': -7,
    'Heading 5': -6,
    'Heading 4': -5,
    'Heading 3': -4,
    'Heading 2': -3,
    'Heading 1': -2,
    'Normal': -1,
}

